### Enumeration

# EDataServer ConflictResolution

since: 3.26

#### Declaration

    enum EDataServer.ConflictResolution

#### Description [src]

Defines what to do when a conflict between the locally stored and remotely stored object versions happen during object modify or remove.

Available since: 3.26

#### Members

`E_CONFLICT_RESOLUTION_FAIL`

  Fail when a write-conflict occurs.

  - Value: `0`
  - Available since: 3.26
`E_CONFLICT_RESOLUTION_USE_NEWER`

  Use newer version of the object, which can be either the server version or the local version of it.

  - Value: `1`
  - Available since: 3.26
`E_CONFLICT_RESOLUTION_KEEP_SERVER`

  Keep server object on conflict.

  - Value: `2`
  - Available since: 3.26
`E_CONFLICT_RESOLUTION_KEEP_LOCAL`

  Write local version of the object on conflict.

  - Value: `3`
  - Available since: 3.26
`E_CONFLICT_RESOLUTION_WRITE_COPY`

  Create a new copy of the object on conflict.

  - Value: `4`
  - Available since: 3.26